Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LoadChats

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.LoadChats

Enclosing class:
  TdApi

public static final class TdApi.LoadChats extends TdApi.Function<TdApi.Ok>
Loads more chats from a chat list. The loaded chats and their positions in the chat list will be sent through updates. Chats are sorted by the pair (chat.position.order, chat.id) in descending order. Returns a 404 error if all chats have been loaded.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatList`
`chatList`
The chat list in which to load chats; pass null to load chats from the main chat list.
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of chats to be loaded.

## Constructor Summary

Constructors
Constructor
Description
`LoadChats()`
Loads more chats from a chat list.
`LoadChats(TdApi.ChatList chatList, int limit)`
Loads more chats from a chat list.
`LoadChats(DataInput input)`
Loads more chats from a chat list.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
The chat list in which to load chats; pass null to load chats from the main chat list.

### limit

public int limit
The maximum number of chats to be loaded. For optimal performance, the number of loaded chats is chosen by TDLib and can be smaller than the specified limit, even if the end of the list is not reached.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### LoadChats

public LoadChats()
Loads more chats from a chat list. The loaded chats and their positions in the chat list will be sent through updates. Chats are sorted by the pair (chat.position.order, chat.id) in descending order. Returns a 404 error if all chats have been loaded.

Returns `Ok`

### LoadChats

public LoadChats(TdApi.ChatList chatList, int limit)
Loads more chats from a chat list. The loaded chats and their positions in the chat list will be sent through updates. Chats are sorted by the pair (chat.position.order, chat.id) in descending order. Returns a 404 error if all chats have been loaded.

Returns `Ok`

Parameters:
  `chatList` - ChatList The chat list in which to load chats; pass null to load chats from the main chat list.
  `limit` - int The maximum number of chats to be loaded. For optimal performance, the number of loaded chats is chosen by TDLib and can be smaller than the specified limit, even if the end of the list is not reached.

### LoadChats

public LoadChats(DataInput input) throws IOException
Loads more chats from a chat list. The loaded chats and their positions in the chat list will be sent through updates. Chats are sorted by the pair (chat.position.order, chat.id) in descending order. Returns a 404 error if all chats have been loaded.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`